/*
Tutorial for Analog Output. 
Analog output is taken through PWM.
Prepared by Robo India.
www.roboindia.com
 */

int LED_ao = 3; // The LED attached to Pin 3 for analog output.           

void setup()  { 
   
  pinMode(LED_ao, OUTPUT); // Declaring Pin as output.
} 

 
void loop()  { 
 // Range of PWM is 0 to 255. So we are running FOR LOOP for 1 to 255.
  for (int brightness=1; brightness<=255; brightness++)  // For loop for Fade In effect.
    {
      analogWrite(LED_ao, brightness);  // LED will glow for value of 1 to 255.
      delay(20);                     // Small delay to see fade effect.      
    }
  for (int brightness=255; brightness>0; brightness--) // Same FOR LOOP for Fade out effect.
    {
      analogWrite(LED_ao, brightness);  
      delay(20);     
    }


                           
}

